From: Marian Csontos <mcsontos@sourceware.org>
To: lvm-devel@redhat.com
Subject: main - tests: Skip test killing kernel
Date: Wed, 10 Mar 2021 15:31:19 +0000 (GMT) [thread overview]
Message-ID: <20210310153119.CC6483835407@sourceware.org> (raw)
Gitweb: https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=d4293b579df61b5eb96dfcce5a7ec8f2116e9561
Commit: d4293b579df61b5eb96dfcce5a7ec8f2116e9561
Parent: 6097dfb9ad2faae1c28295b35e1fba82cb4b6f8b
Author: Marian Csontos <mcsontos@redhat.com>
AuthorDate: Wed Mar 10 15:50:35 2021 +0100
Committer: Marian Csontos <mcsontos@redhat.com>
CommitterDate: Wed Mar 10 16:31:04 2021 +0100
tests: Skip test killing kernel
Fix the pattern and for now skip all RHEL-8.4 kernels
Bug 1916891
---
test/shell/lvconvert-raid-reshape-stripes-load-reload.sh | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/test/shell/lvconvert-raid-reshape-stripes-load-reload.sh b/test/shell/lvconvert-raid-reshape-stripes-load-reload.sh
index 6fe34250a..3023782dd 100644
--- a/test/shell/lvconvert-raid-reshape-stripes-load-reload.sh
+++ b/test/shell/lvconvert-raid-reshape-stripes-load-reload.sh
@@ -22,7 +22,11 @@ which mkfs.ext4 || skip
aux have_raid 1 13 2 || skip
case "$(uname -r)" in
- 5.[891]*|3.10.0-862*|4.18.0-283.el8) die "Cannot run this test on unfixed kernel." ;;
+ 5.[891]*|3.10.0-862*) die "Cannot run this test on unfixed kernel." ;;
+ 4.18.0-*.el8*)
+ REL="$(uname -r)"
+ REL="${REL#4.18.0-}"
+ [[ "${REL%%.*}" -lt 283 ]] || die "Cannot run this test on unfixed kernel." ;;
esac
mount_dir="mnt"
next reply other threads:[~2021-03-10 15:31 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-03-10 15:31 Marian Csontos [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-02-17 12:29 main - tests: Skip test killing kernel Marian Csontos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20210310153119.CC6483835407@sourceware.org \
--to=mcsontos@sourceware.org \
--cc=lvm-devel@redhat.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.